KDE v3.4.2 frissítése v3.5 RC1-re - hogyan?

Fórumok

KDE v3.4.2 frissítése v3.5 RC1-re - hogyan?

Hozzászólások

Szóval: sikerült! :D

Bár a saját felelősségemre eltértem a megadottakhoz képest, s bejött!
Csak az általam letöltött rpm csomagokat adagoltam be a Yast2-nek, s láss csodát: újraindítás előtt is megjelent pl. a Konquerorban a Névjegyben az "új" verzió száma...

Tehát nem voltak ott a "noarch" csomagok, illetve az FTP-s dolog sem volt "beadagolva", s mégis működött.

Köszönöm a segítséget.

P.S.
Nem tudja valaki, hogy ki tartja karban a http://www.kde.hu oldalt?
Erősen ráférne egy alapos "felújítás"!
Szívesen résztvennék benne - akár! :D

nincsmit, én a 'hivatalosat' írtam le, de örülök, h működik :)

Felraktam korábban DVD-ről az OpenSuSE v10.0-t, s megy is szépen a címben jelzett KDE felület. Nemrég megjelent a v3.5 RC1, sikerült letölteni, de sehogy nem megy fel, mindig valami függőségre hivatkozva "leáll" a telepítés...

- nem fut semmilyen ablakkezelő (fejből: init 3 ? szint),
- Yast2, illetve KPackage sem hajlandó "segíteni",
- magyar nyelven semmi használhatót (!) nem találtam (pl. Google),
- a magyar KDE oldal (www.kde.hu) nagyon régen frissült... :-(
- az "rpm" parancs különféle opciókkal (-e, -U stb) sem telepíti az új csomagokat, amolyan "körkörös hivatkozásnak" tűnik a probléma.

Esetleg le kell szedni az előző verziót csontra?

Itt tartok most.

Ha elolvasod a kde oldalán a doksikat, nem javasoljak hogy az egyik kde-t a msaikra telepitsd (nekem mondjuk soha nem volt gondom ezzel, bar en soha nem csomagbol raktam fel.). De a distrok altalaban tudnak mit kezdeni az update-el. Legtobbszor. :)
A 3.5-ot a legcelszerubb a konstruct (nem biztos hogy ez a neve) segitsegevel felrakni/forditani.
Bar en ezzel megszivtam, ugyhogy a blfs szerint a legcelszerubb felraknji szerintem.

mien parancsal probaltad???
mert ha olvastal mant, akor tudod hogy rpm-nel egyams utan meglehet adni sok sok csomagot is... tehat akar az
[code:1:f1222e5c28]
rpm -Uvh *.rpm
[/code:1:f1222e5c28]
is mukodik, amely felrakja az adott konyvtarban levo osszes rpm-et.[/code]

Talán az apt-tal kellett volna próbálkozni. Az felrakja, vigyáz a függőségekre is.

a következő módon lehet megcsinálni:
- letöltesz minden csomagot a ftp://ftp.kde.org/pub/kde/unstable/3.5-rc1/SuSE/ix86/10.0 könyvárból egy helyi könyvtárba (mondjuk KDE3.5RC1)
- letöltesz minden csomagot a ftp://ftp.kde.org/pub/kde/unstable/3.5-rc1/SuSE/noarch -ból ugyanebbe a könyvtárba
- elindítod a YaST-ot, és kiválasztod a Szoftver->Telepítési forrás meghatározása
- itt Hozzáadás-> FTP.
Szerver neve: ftp.novell.hu
Könyvtár a szerveren: /pub/mirrors/ftp.suse.com/suse/i386/supplementary/KDE/update_for_10.0/yast-source/
megnyom OK
- utána Hozzáadás-> Helyi könyvtár
itt Tallóz (vagy beírod) azt az utat, ahova letöltötted a kde3.5rc1-es csomagokat (/home/sajat/KDE3.5RC1)
megnyom OK
- Ezzel meglennének a szükséges csomagok telepítési forrása, tehát a Telepítési források ablakon nyomsz egy Kész gombot
- Elindítod a YaST -> Szoftver -> Szoftver telepítése, eltávolítása modult
- itt feljön majd egy dialógus ablak, h nem tudta frissíteni a forrást, ez rendben van, OK
- a csomagtelepítőben kiválasztod a Szűrőnél (bal felül) a Csomagcsoportok -at
- a fában kiválasztod a "zzz Minden" ágat
- a menüben: Csomag -> A teljes lista -> Frissítés ha van újabb csomag
- a csomagfelsorolás fejlécében van egy oszlop, aminek nincsen neve (ez az első oszlop), erre rákattintasz, és berendezi az alapján, h miket fog csinálni és megnézheted, h miket frissít.
- Nyomsz alul egy Függőségek ellenőrzése gombot, elvileg mindennek rendben kell lennie.
- Ha rendben van, akkor nyomsz egy Elfogadás gombot, és hátradőlsz amíg frissíti a rendszert, mert jó hosszú lesz.

- Ha készen vagy, K menü, kijelentkezés.
- ha init 5-ben indul a géped, akkor nyomsz egy CTRL-SHIFT-Backspace -t ezzel újraindítod az X-et, és vele együtt a kdm-et is.
- ha init 3-ban indul a géped, akkor startx, vagy startkde (ebben a lépésben nem vagyok biztos, h mit kell beírni, mindenesetre elindítod a kde-t)
- elindítasz egy konqeror-t, és Segítség-> Névjegy:KDE
itt kiírja a KDE verziószámát, ami mostmár 3.5 (RC1) level "a"

Köszönöm, így fogok eljárni, remélem menni fog a dolog.

Mondjuk az FTP-s részt nem igazán értem (értsd: mi szükség van rá), hiszen kizárólag OFF-LINE szeretném frissíteni a meglévő KDE-t.

Valamint azokra a "noarch" csomagokra mindenképpen szükség van?
Pontosítva: mi a jelentése a "noarch" szónak (rövidítésnek)?

Az FTP-s rész azért kell, mert a KDE3.5RC1-ben vannak olyan függőségek, amiket a kde maga nem tartalmaz, ezen segít az ftp-s rész.

A noarch azt jelenti, h nem architektúra függő a csomag, tehát bármira fel lehet telepíteni. Jellemzően ilyenek a nyelvi fájlok, scriptek, stb. Konkrétan ebben az esetben a nyelvi fájl kell (elvileg elég lenne a magyar és az angol fájlt letölteni hozzá, de jobb a békesség).